Partner

Onboards New Limited Partner

POST
/v1/partners/onboard

Onboards a new limited partner

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/partners/onboard" \  -H "Content-Type: application/json" \  -d '{    "entity_name": "string",    "administrative_email_address": "user@example.com",    "country": "US",    "website": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": {},  "type": {},  "entity_name": "string",  "administrative_email_address": "user@example.com",  "billing_email_address": "user@example.com",  "address": "string",  "city": "string",  "state": "string",  "postal_code": "string",  "country": "US",  "website": "string",  "travel_retailer_onboarding_url": "string",  "travel_retailer_onboarding_complete": true}